<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Add Student' clonable='1' routable='1' >
    <cms:editable name='firstname' label='First Name' type='text' required='1' order='1' />
    <cms:editable name='lastname' label='Last Name' type='text' required='1' order='2' />
    <cms:editable name='fathersname' label='Fathers Name' type='text' order='3' />
    <cms:editable name='mothersname' label='Mothers Name' type='text' order='4' />
    <cms:editable name='sex' label='Sex' type='radio' opt_values='Male | Female' required='1' order='5' />
    <cms:editable name='dob' label='Date of Birth' type='text' required='1' order='6' />
    <cms:editable name='idproof' label='ID Proof' type='securefile' show_preview='1' preview_width='100' required="1" order='7' />
    <cms:editable name='mobile' label='Mobile' type='text' required='1' validator='non_negative_integer | max_len=20' order='8' />
    <cms:editable name='email' label='Email' type='text' validator="email" order='9' />
    <cms:editable name='status' label='Status' type='text' required='1' order='10' />
    <cms:editable name='inst_org' label='Institution/ Organization Name' required='1' type='text' order='11' />
    <cms:editable name='address' label='Address' type='textarea' required='1' no_xss_check='1' order='11' height="100" order='12' />
    <cms:editable name='my_check' type='checkbox' opt_values='Yes' opt_selected='' order='13' />

    <cms:config_list_view>
        <cms:field 'k_selector_checkbox' />
        <cms:field 'firstname' header='First Name' />
        <cms:field 'lastname' header='Last Name' />
        <cms:field 'mobile' header='Mobile No' />
        <cms:field 'k_actions' />
    </cms:config_list_view> 

    <cms:config_form_view>
        <cms:persist
            k_publish_date="<cms:if frm_my_publish_status='0'>0000-00-00 00:00:00<cms:else/><cms:show frm_my_publish_date /></cms:if>"
            _auto_title='1'
        />

        <cms:field 'my_publish_status'>
            <cms:input type='radio'
                  name=k_field_input_name
                  opt_selected="<cms:if k_page_date='0000-00-00 00:00:00' >0<cms:else />1</cms:if>"
                  opt_values='Unpublished=0 || Published=1'
                />
        </cms:field>

        <cms:field 'my_publish_date' no_wrapper='1'>
            <div id="my-date-dropdown" style="margin-top: 6px; <cms:if k_page_date='0000-00-00 00:00:00' >visibility:hidden;</cms:if>">
                <cms:input
                    name=k_field_input_name
                    type='datetime'
                    format='mdy'
                    fields_separator=','
                    default_time="<cms:if k_cur_form_mode='edit' && k_page_date!='0000-00-00 00:00:00'><cms:show k_page_date /><cms:else />@current</cms:if>"
                    required='1'
                />
            </div>
        </cms:field>

        <cms:script>
            $( function(){
                $('#my_publish_status0').on('click', function(e){
                    $('#my-date-dropdown').css('visibility', 'hidden')
                });
                $('#my_publish_status1').on('click', function(e){
                    $('#my-date-dropdown').css('visibility', 'visible')
                });
            });
        </cms:script>

    </cms:config_form_view>

    <!-- define routes -->
    <cms:route name='list_view' path='' />
    <cms:match_route debug='1' is_404='1' />
    <cms:route name='create_view' path='create' />
    <cms:route name='edit_view' path='{:id}/edit'>
        <cms:route_validators id='non_zero_integer' />
    </cms:route>
    <cms:route name='page_view' path='{:page_name}{:format}'>
        <cms:route_constraints format='(\.html)' />
        <cms:route_validators page_name='title_ready' />
    </cms:route>
</cms:template>
<cms:if k_logged_out >
    <cms:redirect "<cms:login_link />" />
</cms:if>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <cms:embed 'page-title.html' />
        <!-- Favicon-->
        <link rel="icon" href="assets/favicon.ico" type="image/x-icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">
        <!-- Bootstrap Core Css -->
        <link href="assets/plugins/bootstrap/css/bootstrap.css" rel="stylesheet">
        <!-- Waves Effect Css -->
        <link href="assets/plugins/node-waves/waves.css" rel="stylesheet" />
        <!-- Animation Css -->
        <link href="assets/plugins/animate-css/animate.css" rel="stylesheet" />
        <!-- Bootstrap Material Datetime Picker Css -->
        <link href="assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css" rel="stylesheet" />
        <!-- Bootstrap Select Css -->
        <link href="assets/plugins/bootstrap-select/css/bootstrap-select.css" rel="stylesheet" />
        <!-- Custom Css -->
        <link href="assets/css/style.css" rel="stylesheet">
        <!-- AdminBSB Themes. You can choose a theme from css/themes instead of get all themes -->
        <link href="assets/css/themes/all-themes.css" rel="stylesheet" />
        <script>
            function launch_toast() {
                var x = document.getElementById("toast");
                x.className = "show";
                setTimeout(function () {x.className = x.className.replace("show", "");}, 5000);
            }
            function ready(fn) {
                if (document.attachEvent ? document.readyState === "complete" : document.readyState !== "loading"){
                    fn();
                } else {
                    document.addEventListener('DOMContentLoaded', fn);
                }
            }
        </script>
    </head>

    <body class="theme-indigo">
        <!-- Page Loader -->
        <div class="page-loader-wrapper">
            <div class="loader">
                <div class="preloader pl-size-xs">
                    <div class="spinner-layer pl-pink">
                        <div class="circle-clipper left">
                            <div class="circle"></div>
                        </div>
                        <div class="circle-clipper right">
                            <div class="circle"></div>
                        </div>
                    </div>
                </div>
                <p>Please wait...</p>
            </div>
        </div>
        <!-- #END# Page Loader -->
        <!-- Overlay For Sidebars -->
        <div class="overlay"></div>
        <!-- #END# Overlay For Sidebars -->
        <!-- Search Bar -->
        <div class="search-bar">
            <div class="search-icon">
                <i class="material-icons">search</i>
            </div>
            <input type="text" placeholder="START TYPING...">
            <div class="close-search">
                <i class="material-icons">close</i>
            </div>
        </div>
        <!-- #END# Search Bar -->
        <!-- Top Bar -->
        <nav class="navbar">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a href="javascript:void(0);" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false"></a>
                    <a href="javascript:void(0);" class="bars"></a>
                    <a class="navbar-brand" href="assets/index.html">Bhartiya Sadvichar Prasarak Mandal</a>
                </div>
                <div class="collapse navbar-collapse" id="navbar-collapse">
                    <ul class="nav navbar-nav navbar-right">
                        <!-- Call Search -->
                        <li><a href="javascript:void(0);" class="js-search" data-close="true"><i class="material-icons">search</i></a></li>
                        <!-- #END# Call Search -->
                        <!-- Notifications -->
                        <li class="dropdown">
                            <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button">
                                <i class="material-icons">notifications</i>
                                <span class="label-count">7</span>
                            </a>
                        </li>
                        <!-- #END# Notifications -->
                    </ul>
                </div>
            </div>
        </nav>
        <!-- #Top Bar -->
        <section>
            <!-- Left Sidebar -->
            <aside id="leftsidebar" class="sidebar">
                <cms:embed 'user-info.html' />
                <cms:embed 'navbar.html' />
                <!-- Footer -->
                <div class="legal">
                    <div class="copyright">
                        &copy; <a href="javascript:void(0);">Developer GenXCoders Pvt Ltd</a> 2016 - 2017
                    </div>
                    <div class="version">
                        <b>Developer Version: </b> 1.0
                    </div>
                </div>
                <!-- #Footer -->
            </aside>
            <!-- #END# Left Sidebar -->
        </section>

        <section class="content">
            <div class="container-fluid">
                <div class="card">
                    <div class="body">
                        <cms:match_route debug='1' />
                    </div>
                </div>
            </div>
        </section>

        <cms:if k_matched_route='list_view'>
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-10">
                            <div class="block-header">
                                <h2>REGISTERED AND ACTIVE STUDENTS</h2>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <center>
                                <button type="" class="btn bg-pink waves-effect btn-sm" onclick="window.location.href='<cms:route_link 'create_view' />';">
                                    <i class="material-icons">person_add</i>
                                    ADD STUDENT
                                </button>
                            </center>
                        </div>
                    </div>
                    <!-- Exportable Table -->
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-striped table-hover js-basic-example dataTable">
                                            <thead>
                                                <tr>
                                                    <th>First Name</th>
                                                    <th>Last Name</th>
                                                    <th>Mobile</th>
                                                    <th>Registration Date</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr>
                                                    <th>First Name</th>
                                                    <th>Last Name</th>
                                                    <th>Mobile</th>
                                                    <th>Registration Date</th>
                                                    <th>Action</th>
                                                </tr>
                                            </tfoot>
                                            <tbody>
                                                <cms:pages masterpage='add-student.php' >
                                                <tr>
                                                    <td><cms:show firstname /></td>
                                                    <td><cms:show lastname /></td>
                                                    <td><cms:show mobile /></td>
                                                    <td><cms:date k_page_date format='M d, Y' /></td>
                                                    <td>
                                                        <button type="button" class="btn bg-indigo waves-effect btn-xs" data-toggle="modal" data-target="#<cms:show k_page_id />">VIEW DETAIL</button>
                                                        <button type="button" class="btn bg-indigo waves-effect btn-xs">GET FEES</button>
                                                        <button type="button" class="btn bg-indigo waves-effect btn-xs" onclick="window.location.href='<cms:route_link 'edit_view' masterpage=k_template_name rt_id=k_page_id />';">EDIT</button>







                                                        
                                                        <button type="submit" class="btn bg-pink waves-effect btn-xs">DEACTIVATE</button>










                                                    </td>
                                                </tr>
                                                </cms:pages>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- #END# Exportable Table -->
                </div>
            </section>
        <cms:else_if k_matched_route='create_view' />
            <section class="content">
                <div class="container-fluid">
                    <div class="block-header">
                        <h2>ADD STUDENT</h2>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body">
                                    <cms:set success_msg="<cms:get_flash 'success_msg' />" />
                                    <cms:if success_msg>
                                        <!-- inject  TOAST div -->
                                        <div id="toast">
                                            <div id="img">Icon</div>
                                            <div id="desc">A notification message..</div>
                                        </div>
                                        
                                        <!-- inject JS code showing TOAST div -->
                                        <script>
                                            ready(launch_toast);
                                        </script>
                                    </cms:if>

                                    <cms:form masterpage=k_template_name mode='create' page_id=k_page_id enctype="multipart/form-data" method='post' anchor='0' >
                                        <cms:if k_success >
                                            <cms:db_persist_form k_page_title="<cms:show frm_firstname /> <cms:show frm_lastname />" 
                                                    k_page_name="<cms:random_name />"/>

                                            <cms:if k_success >
                                                <cms:set_flash name='success_msg' value='1' />
                                                <cms:redirect k_page_link /> 
                                            </cms:if>
                                        </cms:if>  

                                        <cms:if k_error >
                                            <font color='red'><cms:each k_error ><cms:show item /><br /></cms:each></font>
                                        </cms:if>
                                        <div class="row clearfix">
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="firstname" />
                                                        <label class="form-label">Firstname *</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="lastname" />
                                                        <label class="form-label">Lastname *</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="fathersname" />
                                                        <label class="form-label">Father's Name</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="mothersname" />
                                                        <label class="form-label">Mother's Name</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="row">
                                                    <div class="col-sm-4 col-xs-4">
                                                        <label><small>Sex *</small></label>
                                                    </div>
                                                    <div class="col-sm-8 col-xs-8">
                                                        <cms:hide><cms:input class="form-control" type="bound" name="sex" /></cms:hide>
                                                        <select class="form-control show-tick" name="f_sex">
                                                            <option value="">Select</option>
                                                            <option value="Male">Male</option>
                                                            <option value="Female">Female</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="row">
                                                    <div class="col-sm-4 col-xs-4">
                                                        <label><small>Date of Birth *</small></label>
                                                    </div>
                                                    <div class="col-sm-8 col-xs-8">
                                                        <div class="form-group">
                                                            <div class="form-line">
                                                                <input name='f_dob' type="text" id="date" class="form-control">
                                                                <cms:hide><cms:input name="dob" type="bound" /></cms:hide>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group form-float">
                                                    <div class="row">
                                                        <div class="col-sm-4 col-xs-4">
                                                            <label class="form-label">ID Proof *</label>
                                                        </div>
                                                        <div class="col-sm-8 col-xs-8">
                                                            <div class="form-line">
                                                                <cms:input name="idproof" type="bound" class="form-control"/>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="mobile" />
                                                        <label class="form-label">Mobile *</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="email" />
                                                        <label class="form-label">Email Id</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="row">
                                                    <div class="col-sm-3">
                                                        <label><small>Select Status *</small></label>
                                                    </div>
                                                    <div class="col-sm-9">
                                                        <cms:hide><cms:input class="form-control" type="bound" name="status" /></cms:hide>
                                                        <select class="form-control show-tick" name="f_status">
                                                            <option value="">Select</option>
                                                            <option value="Student">Student</option>
                                                            <option value="Working">Working</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <cms:input type="bound" class="form-control" name="inst_org" />
                                                        <label class="form-label">Institution/Company Name *</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                                <div class="form-group form-float">
                                                    <div class="form-line">
                                                        <label for="address" class="form-label">Address *</label>
                                                        <cms:input type="bound" name="address" id="address" class="form-control no-resize" ></cms:input>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <cms:hide><cms:input type='bound' name='my_check' /></cms:hide>
                                        <button class="btn bg-pink waves-effect" type="submit">
                                            <i class="material-icons">save</i>
                                            SAVE
                                        </button>
                                    </cms:form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <cms:else_if k_matched_route='page_view' />
            
        
        <cms:else_if k_matched_route='edit_view' />
            <cms:pages id=rt_id limit='1' show_future_entries='1'> 
                <section class="content">
                    <div class="container-fluid">
                        <div class="block-header">
                            <h2>EDIT STUDENT DETAILS</h2>
                        </div>
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <div class="card">
                                    <div class="body">
                                        <cms:set submit_success="<cms:get_flash 'submit_success' />" />
                                        <cms:if submit_success>
                                            <!-- inject  TOAST div -->
                                            <div id="toast">
                                                <div id="img">Icon</div>
                                                <div id="desc">A notification message..</div>
                                            </div>
                                            
                                            <!-- inject JS code showing TOAST div -->
                                            <script>
                                                function launch_toast() {
                                                    var x = document.getElementById("toast")
                                                    x.className = "show";
                                                    setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
                                                }
                                            </script>
                                        </cms:if>

                                        <cms:form masterpage=k_template_name mode='edit' page_id=k_page_id enctype='multipart/form-data' method='post' class="note" anchor='0' >
                                            <cms:if k_success >
                                                <cms:db_persist_form
                                                    _invalidate_cache='0'
                                                    k_page_title="<cms:show frm_firstname /> <cms:show frm_lastname />" 
                                                    k_page_name="<cms:random_name />"
                                                />
                                                <cms:if k_success>
                                                    <cms:set_flash name='submit_success' value='1' />
                                                    <cms:redirect k_page_link />
                                                </cms:if>
                                            </cms:if>

                                            <cms:if k_error >
                                                <div class="error">
                                                    <cms:each k_error >
                                                        <br><cms:show item />
                                                    </cms:each>
                                                </div>
                                            </cms:if>
                                            <div class="row clearfix">
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="firstname" />
                                                            <label class="form-label">Firstname *</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="lastname" />
                                                            <label class="form-label">Lastname *</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="fathersname" />
                                                            <label class="form-label">Father's Name</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="mothersname" />
                                                            <label class="form-label">Mother's Name</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="row">
                                                        <div class="col-sm-4 col-xs-4">
                                                            <label><small>Sex *</small></label>
                                                        </div>
                                                        <div class="col-sm-8 col-xs-8">
                                                            <cms:hide><cms:input class="form-control" type="bound" name="sex" /></cms:hide>
                                                            <select class="form-control show-tick" name="f_sex">
                                                                <option value="">Select</option>
                                                                <option value="Male">Male</option>
                                                                <option value="Female">Female</option>
                                                            </select>
                                                            <cms:show f_sex />
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="row">
                                                        <div class="col-sm-4 col-xs-4">
                                                            <label><small>Date of Birth *</small></label>
                                                        </div>
                                                        <div class="col-sm-8 col-xs-8">
                                                            <div class="form-group">
                                                                <div class="form-line">
                                                                    <input name='f_dob' type="text" id="date" class="form-control">
                                                                    <cms:hide><cms:input name="dob" type="bound" /></cms:hide>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group form-float">
                                                        <div class="row">
                                                            <div class="col-sm-4 col-xs-4">
                                                                <label class="form-label">ID Proof *</label>
                                                            </div>
                                                            <div class="col-sm-8 col-xs-8">
                                                                <div class="form-line">
                                                                    <cms:input name="idproof" type="bound" class="form-control"/>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="mobile" />
                                                            <label class="form-label">Mobile *</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="email" />
                                                            <label class="form-label">Email Id</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-sm-3">
                                                            <label><small>Select Status *</small></label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <cms:hide><cms:input class="form-control" type="bound" name="status" /></cms:hide>
                                                            <select class="form-control show-tick" name="f_status">
                                                                <option value="">Select</option>
                                                                <option value="Student">Student</option>
                                                                <option value="Working">Working</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <cms:input type="bound" class="form-control" name="inst_org" />
                                                            <label class="form-label">Institution/Company Name *</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                                    <div class="form-group form-float">
                                                        <div class="form-line">
                                                            <label for="address" class="form-label">Address *</label>
                                                            <cms:input type="bound" name="address" id="address" class="form-control no-resize" ></cms:input>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <button class="btn bg-pink waves-effect" type="submit">
                                                <i class="material-icons">save</i>
                                                SAVE
                                            </button>
                                        </cms:form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </cms:pages>
            
        </cms:if>

        <!-- Jquery Core Js -->
        <script src="assets/plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap Core Js -->
        <script src="assets/plugins/bootstrap/js/bootstrap.js"></script>
        <!-- Select Plugin Js -->
        <script src="assets/plugins/bootstrap-select/js/bootstrap-select.js"></script>
        <!-- Slimscroll Plugin Js -->
        <script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.js"></script>
        <!-- Waves Effect Plugin Js -->
        <script src="assets/plugins/node-waves/waves.js"></script>
        <!-- Autosize Plugin Js -->
        <script src="assets/plugins/autosize/autosize.js"></script>
        <!-- Moment Plugin Js -->
        <script src="assets/plugins/momentjs/moment2.js"></script>
        <!-- Bootstrap Material Datetime Picker Plugin Js -->
        <script src="assets/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker2.js"></script>
        <!-- Custom Js -->
        <script src="assets/js/admin.js"></script>
        <script src="assets/js/pages/forms/basic-form-elements.js"></script>
        <!-- Demo Js -->
        <script src="assets/js/demo.js"></script>
        <script type="text/javascript">
            // DoB
            $(document).ready(function()
            {
                $('#date').bootstrapMaterialDatePicker
                ({
                    time: false,
                    clearButton: true
                });
            });
            // DoB

            // Toast
            function launch_toast() {
                var x = document.getElementById("toast")
                x.className = "show";
                setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
            }
            // Toast
        </script>

        <!-- Modal -->
        <cms:pages masterpage="add-student.php" id=rt_id limit='1' >
        <div class="modal fade" id="<cms:show k_page_id />" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="defaultModalLabel">STUDENT NAME: <cms:show firstname /> <cms:show lastname /></h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-4">
                                Father's Name:
                            </div>
                            <div class="col-md-8">
                                <cms:if fathersname><cms:show fathersname /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Mother's Name:
                            </div>
                            <div class="col-md-8">
                                <cms:if mothersname><cms:show mothersname /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Sex:
                            </div>
                            <div class="col-md-8">
                                <cms:if sex><cms:show sex /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Date of Birth:
                            </div>
                            <div class="col-md-8">
                                <cms:if dob><cms:show dob /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Mobile:
                            </div>
                            <div class="col-md-8">
                                <cms:if mobile><cms:show mobile /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Email Id:
                            </div>
                            <div class="col-md-8">
                                <cms:if email><cms:show email /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Status:
                            </div>
                            <div class="col-md-8">
                                <cms:if status><cms:show status /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Institution/ Company Name:
                            </div>
                            <div class="col-md-8">
                                <cms:if inst_org><cms:show inst_org /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                Address:
                            </div>
                            <div class="col-md-8">
                                <cms:if address><cms:show address /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                ID Proof:
                            </div>
                            <div class="col-md-8">
                                <cms:if idproof><cms:show idproof /><cms:else />-</cms:if>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                Fees Paid for Months:
                            </div>
                            <div class="col-md-1">
                                <cms:if fees_paid_month><cms:show fees_paid_month /><cms:else />-</cms:if>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" onclick="window.location.href='<cms:route_link 'edit_view' rt_id=k_page_id />';" class="btn bg-indigo waves-effect">EDIT</button>
                        <button type="button" class="btn bg-pink waves-effect" data-dismiss="modal">CLOSE</button>
                    </div>
                </div>
            </div>
        </div>
        </cms:pages>
        <!-- Modal -->
    </body>
</html>
<?php COUCH::invoke(); ?>